This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 702680 - RfE: allow to only select the top level servers
RfE: allow to only select the top level servers
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-06 11:00 EDT by Heiko W. Rupp
Modified: 2015-02-01 18:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2011-05-06 11:00:27 EDT
[16:42:21] <pilhuhn> I wonder if in inventory we should have an additional entry for "top level server"
[16:42:53] <pilhuhn> I often go to the inventory tab, click on servers and the search around the list of servers.
[16:43:12] <pilhuhn> Will write a feature request I guess
[16:44:35] <ips> pilhuhn: +1. i often want to filter out non top level servers myself
[16:45:21] <ips> i think a "show only top level servers" checkbox would be a good way to do it
[16:46:08] <ips> rather than adding the clutter of a new column and the user having to sort by that column
[16:55:52] <pilhuhn> ips not a new column, but on the left side, where we have discovery, all resources, ... there is enough space left
[16:56:41] <ips> true, that's another option
Comment 1 Ian Springer 2011-05-09 09:59:54 EDT
(11:57:55 AM) mazz: pil-afk: ips: I think you can search on parent type == platform or something like that
(11:58:22 AM) mazz: so in the search field, you say something like resource.parent.category = 'platform'
(11:59:06 AM) mazz: and yes, adding another node in the section on the left would be good here - we'd just prepopulate the search field appropriately to pick out the top level servers
(12:00:06 PM) ips: we could also do another one for platform services
(12:01:27 PM) mazz: that one I'd have to think about. I'm not sure people would care to see a list of ALL CPUs, network adapters, file systems, etc. across all inventory
(12:04:44 PM) ips: it would also be potentially cool to have ones for "Application Servers", "Web Servers", "Databases"
(12:05:04 PM) ips: eg: the app servers one could show all as4, as5, and tomcat servers
(12:05:20 PM) ips: the web servers one could show all apache and iis servers
(12:15:01 PM) mazz: what you are talking about is analogous to "saved searches" where we could potentially ship canned saved searches
(12:15:13 PM) mazz: today we have this capability - that's what the star icon is in the search bar
(12:15:38 PM) mazz: in the left hand side, we could have some kind of tree
(12:15:46 PM) mazz: the root of which is "Saved Searches"

Note You need to log in before you can comment on or make changes to this bug.